com.aliyun.svideosdk.common

## Class AliyunCaption

- java.lang.Object
- - AliyunObject
  - - com.aliyun.svideosdk.common.AliyunCaption

-     public class AliyunCaption
      extends AliyunObject

  字幕Bean对象，用于进行字幕属性的操作 by zhihong.lanzh v3.22.0 新增

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Object>` | `mActions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunCaption()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addAction(java.lang.Object actionObj)`
    `int` | `clearAction()`
    `java.util.List<java.lang.Object>` | `getActionList()`
    `AliyunColor` | `getBackgroundColor()` 获取字幕背景颜色 v3.23.0 添加
    `float` | `getBackgroundCornerRadius()` 获取背景圆角
    `ISource` | `getBubbleSource()` 获取气泡文字的模板资源 v3.23.0 新增
    `AliyunColor` | `getColor()` 获取字幕文本颜色
    `long` | `getDuration()` 获取当前字幕的播放时长
    `ISource` | `getFontEffectSource()` 获取花字模板资源 v3.23.0 新增
    `ISource` | `getFontSource()` 获取字体资源 v3.23.0 新增
    `AliyunFontStyle` | `getFontStyle()` 获取字幕的字体样式信息
    `int` | `getId()` 获取当前字幕的视图ID
    `AliyunColor` | `getOutlineColor()` 获取描边颜色
    `float` | `getOutlineWidth()` 获取描边宽度，单位：像素
    `PointF` | `getPosition()` 获取字幕的中心点位置(x,y), x和y的值在[0-1]之间
    `float` | `getRotate()` 获取字幕旋转的度数
    `float` | `getScale()` 获取当前字幕缩放值，默认为1.0
    `AliyunColor` | `getShadowColor()` 获取阴影颜色
    `PointF` | `getShadowOffset()` 获取阴影的偏移值，包含(x,y)两个方向，单位：像素
    `RectF` | `getSize()` 获取字幕的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高
    `long` | `getStartTime()` 获取当前字幕的起始时间
    `java.lang.String` | `getText()` 获取当前字幕文本
    `int` | `getTextAlignment()` 获取文字的排列方式 v3.23.0 添加
    `int` | `removeAction(java.lang.Object actionObj)`
    `void` | `setBackgroundColor(AliyunColor aColor)` 设置字幕背景颜色 v3.23.0 添加
    `void` | `setBackgroundCornerRadius(float radius)` 设置背景圆角 v3.31.0 添加
    `void` | `setBubbleSource(ISource bubbleSource)` 设置气泡文字的模板资源 v3.23.0 新增
    `void` | `setColor(AliyunColor aColor)` 设置字幕颜色
    `void` | `setDuration(long aDuration)` 设置字幕播放时长
    `void` | `setFontEffectSource(ISource fontEffectSource)` 设置花字模板资源 v3.23.0 新增
    `void` | `setFontStyle(AliyunFontStyle aFontStyle)` 设置字幕的字体样式信息
    `void` | `setOutlineColor(AliyunColor aOutlineColor)` 设置字幕描边颜色
    `void` | `setOutlineWidth(float aOutlineWidth)` 设置描边宽度，单位：像素
    `void` | `setPosition(PointF aPosition)` 设置字幕的中心点位置(x,y), x和y的值在[0-1]之间
    `void` | `setRotate(float degree)` 设置字幕当前旋转的度数
    `void` | `setScale(float aScale)` 设置字幕缩放值
    `void` | `setShadowColor(AliyunColor aShadowColor)` 设置描边颜色
    `void` | `setShadowOffset(PointF aShadowOffset)` 设置阴影的偏移值，包含(x,y)两个方向，单位：像素
    `void` | `setSize(RectF size)` 设置字幕的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高
    `void` | `setStartTime(long aStartTime)` 设置字幕的起始时间
    `void` | `setText(java.lang.String aText)` 设置字幕文本内容
    `void` | `setTextAlignment(int aTextAlignment)` 设置文字的排列方式 v3.23.0 添加

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mActions

          protected java.util.List<java.lang.Object> mActions

  - ### Constructor Detail

    - #### AliyunCaption

          public AliyunCaption()

  - ### Method Detail

    - #### getId

          public int getId()

      获取当前字幕的视图ID
      Returns:
        字幕视图ID

    - #### getStartTime

          public long getStartTime()

      获取当前字幕的起始时间
      Returns:
        字幕的起始时间戳(单位：毫秒）

    - #### setStartTime

          public void setStartTime(long aStartTime)

      设置字幕的起始时间
      Parameters:
        `aStartTime` - 起始时间戳(单位：毫秒）

    - #### getDuration

          public long getDuration()

      获取当前字幕的播放时长
      Returns:
        字幕播放时长(单位：毫秒）

    - #### setDuration

          public void setDuration(long aDuration)

      设置字幕播放时长
      Parameters:
        `aDuration` - 字幕播放时长(单位：毫秒）

    - #### getText

          public java.lang.String getText()

      获取当前字幕文本
      Returns:
        字幕文本

    - #### setText

          public void setText(java.lang.String aText)

      设置字幕文本内容
      Parameters:
        `aText` - 字幕文本

    - #### getPosition

          public PointF getPosition()

      获取字幕的中心点位置(x,y), x和y的值在[0-1]之间
      Returns:
        中心点坐标

    - #### setPosition

          public void setPosition(PointF aPosition)

      设置字幕的中心点位置(x,y), x和y的值在[0-1]之间
      Parameters:
        `aPosition` - 中心点坐标值,x和y的值在[0-1]之间

    - #### getSize

          public RectF getSize()

      获取字幕的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高
      Returns:
        字幕的布局大小
      See Also:
        `android.graphics.RectF`

    - #### setSize

          public void setSize(RectF size)

      设置字幕的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高
      See Also:
        `android.graphics.RectF`

    - #### getRotate

          public float getRotate()

      获取字幕旋转的度数
      Returns:
        角度值

    - #### setRotate

          public void setRotate(float degree)

      设置字幕当前旋转的度数

    - #### getScale

          public float getScale()

      获取当前字幕缩放值，默认为1.0
      Returns:
        字幕缩放值

    - #### setScale

          public void setScale(float aScale)

      设置字幕缩放值
      Parameters:
        `aScale` - > 0

    - #### getFontStyle

          public AliyunFontStyle getFontStyle()

      获取字幕的字体样式信息
      Returns:
        字体样式
      See Also:
        `AliyunFontStyle`

    - #### setFontStyle

          public void setFontStyle(AliyunFontStyle aFontStyle)

      设置字幕的字体样式信息
      Parameters:
        `aFontStyle` - 字体样式
      See Also:
        `AliyunFontStyle`

    - #### getTextAlignment

          public int getTextAlignment()

      获取文字的排列方式 v3.23.0 添加
      Returns:
        alignemnt

    - #### setTextAlignment

          public void setTextAlignment(int aTextAlignment)

      设置文字的排列方式 v3.23.0 添加
      Parameters:
        `aTextAlignment` - 字体样式 取值： AlignLeft = 1; AlignRight = 2; AlignHCenter = 4;
      See Also:
        `AliyunFontStyle`

    - #### getColor

          public AliyunColor getColor()

      获取字幕文本颜色
      Returns:
        颜色值
      See Also:
        `AliyunColor`

    - #### setColor

          public void setColor(AliyunColor aColor)

      设置字幕颜色
      Parameters:
        `aColor` - 颜色对象
      See Also:
        `AliyunColor`

    - #### getBackgroundColor

          public AliyunColor getBackgroundColor()

      获取字幕背景颜色 v3.23.0 添加
      Returns:
        颜色值
      See Also:
        `AliyunColor`

    - #### setBackgroundColor

          public void setBackgroundColor(AliyunColor aColor)

      设置字幕背景颜色 v3.23.0 添加
      Parameters:
        `aColor` - 颜色对象
      See Also:
        `AliyunColor`

    - #### setBackgroundCornerRadius

          public void setBackgroundCornerRadius(float radius)

      设置背景圆角 v3.31.0 添加
      Parameters:
        `radius` -

    - #### getBackgroundCornerRadius

          public float getBackgroundCornerRadius()

      获取背景圆角
      Returns:

    - #### getOutlineColor

          public AliyunColor getOutlineColor()

      获取描边颜色
      Returns:
        颜色值
      See Also:
        `AliyunColor`

    - #### setOutlineColor

          public void setOutlineColor(AliyunColor aOutlineColor)

      设置字幕描边颜色
      Parameters:
        `aOutlineColor` - 颜色对象
      See Also:
        `AliyunColor`

    - #### getOutlineWidth

          public float getOutlineWidth()

      获取描边宽度，单位：像素
      Returns:
        描边宽度，单位：像素

    - #### setOutlineWidth

          public void setOutlineWidth(float aOutlineWidth)

      设置描边宽度，单位：像素
      Parameters:
        `aOutlineWidth` - 描边宽度，单位：像素

    - #### getShadowColor

          public AliyunColor getShadowColor()

      获取阴影颜色
      Returns:
        颜色值
      See Also:
        `AliyunColor`

    - #### setShadowColor

          public void setShadowColor(AliyunColor aShadowColor)

      设置描边颜色
      Parameters:
        `aShadowColor` - 颜色对象
      See Also:
        `AliyunColor`

    - #### getShadowOffset

          public PointF getShadowOffset()

      获取阴影的偏移值，包含(x,y)两个方向，单位：像素
      Returns:
        阴影在横竖上的偏移值
      See Also:
        `android.graphics.PointF`

    - #### setShadowOffset

          public void setShadowOffset(PointF aShadowOffset)

      设置阴影的偏移值，包含(x,y)两个方向，单位：像素
      Parameters:
        `aShadowOffset` - x,y上的便宜值
      See Also:
        `android.graphics.PointF`

    - #### getBubbleSource

          public ISource getBubbleSource()

      获取气泡文字的模板资源 v3.23.0 新增

    - #### setBubbleSource

          public void setBubbleSource(ISource bubbleSource)

      设置气泡文字的模板资源 v3.23.0 新增
      Parameters:
        `bubbleSource` - 模板资源

    - #### getFontEffectSource

          public ISource getFontEffectSource()

      获取花字模板资源 v3.23.0 新增
      Returns:
        花字模板资源

    - #### setFontEffectSource

          public void setFontEffectSource(ISource fontEffectSource)

      设置花字模板资源 v3.23.0 新增
      Parameters:
        `fontEffectSource` - 花字模板资源

    - #### getFontSource

          public ISource getFontSource()

      获取字体资源 v3.23.0 新增
      Returns:
        字体资源

    - #### addAction

          public int addAction(java.lang.Object actionObj)

    - #### getActionList

          public java.util.List<java.lang.Object> getActionList()

    - #### removeAction

          public int removeAction(java.lang.Object actionObj)

    - #### clearAction

          public int clearAction()